For the complete documentation index, see llms.txt. This page is also available as Markdown.

Case Resources

Get all resources associated with Case ID (integer).

GET https://clearinghouse.net/api/v2p1/cases/ID/resources

Headers

Name
Type
Description

Authorization*

String

Authorization

Token XXXXXXXXXXX

where

XXXXXXXXXXX

is the token string

\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2p1/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2p1/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2p1/cases/?case_id=xyz
["API Error: xyz is not an integer."]
{
    "detail":"Authentication credentials were not provided."
}

Example

https://clearinghouse.net/api/v2p1/cases/11085/resources
import requests

url = "https://clearinghouse.net/api/v2p1/cases/11085/resources"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)

Last updated